Get app by ID
curl --request GET \
--url https://api.example.com/api/app/{app_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/app/{app_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/app/{app_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_name": "<string>",
"created_date": "<unknown>",
"updated_date": "<unknown>",
"app_type": "hand_authored",
"created_by": "<string>",
"updated_by": "<string>"
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}App manager
Get app by ID
Returns an app by its ID.
Authorization:
- Users with the
nx1_app_managerrole can access any app. - Users with app-specific roles can access only apps they have permission for.
GET
/
api
/
app
/
{app_id}
Get app by ID
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique ID of the app.
Response
App retrieved successfully.
Response model for app details.
Unique ID of the app.
Name of the app.
Timestamp when the app was created.
Timestamp when the app was last updated.
Type of application.
Available options:
hand_authored, notebook_pipeline, inference_service, full_pipeline Username of the creator.
Username of the last updater.
Was this page helpful?

